Help on Updating Microcode for Latitude E5500 BIOS

Don't ask how to hack password. (BIOS Passwords)
Post Reply
Musafir_86
New visitors - please read the rules.
Posts: 1
Joined: Wed Mar 25, 2015 2:53 am

Hello everyone,

-I currently have a Dell Latitude E5500 laptop with me, and I'm intending to change its processor to a Pentium Dual-Core T2330.

-Unfortunately, according to official Dell documentations, it seems that Dell only allowed Core 2 Duo or Celeron (socket P) to be installed into this laptop.

-The laptop has already been updated to the latest A19 BIOS, but it wouldn't boot with this T2330 installed (blinking Caps Lock LED).

-I've never tried updating/adding microcode into the BIOS (just done minor BIOS mods before), so I hope some experts could help me on this.

-1066MHz FSB support is mentioned in official Dell documentations, and it uses Intel GE45 chipset, so this model should support both 65nm Meroms and 45nm Penryns (but artificially/intentionally limited to Core 2 Duo and Celeron brands/range only).

-The A19 BIOS for Latitude E5500:
http://www.dell.com/support/home/my/en/ ... erId=2KY24
http://downloads.dell.com/FOLDER0154589 ... 500A19.exe (direct link).

-Latest Intel processors' microcode data file (including the mobile Pentium/Merom):
https://downloadcenter.intel.com/downlo ... -Data-File
http://downloadmirror.intel.com/24661/e ... 150121.tgz (direct link).

-Latitude E5500 documentations (1066MHz FSB support is mentioned inside):
http://downloads.dell.com/Manuals/all-p ... 5500_setup guide_en-us.pdf
http://downloads.dell.com/Manuals/all-p ... 5500_Setup Guide2_en-us.pdf

-Every help is really appreciated, thank you very much.

Regards,
-Musafir_86.
edwin
The Hardware Archivist
Posts: 6275
Joined: Wed Mar 20, 2002 7:11 pm
Location: Netherlands
Contact:

T2330 is a 533MHz FSB part:
http://ark.intel.com/nl/products/32432/ ... 33-MHz-FSB

T9400 is the top you can fit in this thing:
http://ark.intel.com/nl/products/35562/ ... 66-MHz-FSB

The T2330 needs a higher core voltage which this laptop simply cannot provide. There is a hardware limit that cannot be fixed by software.
edwin/evasive

Do not assume anything

System error, strike any user to continue...
Post Reply